Favicon

You are here: Home > API Reference > UEM > Smart Attributes > Retrieve a paginated list of available smart attributes

GET /organizations/:organizationId/smart-attributes

Required Permission: mdm.global.smartAttribute.list

Returns a paginated collection of smart attributes

GET
https://api.applivery.io/v1/organizations/{organizationId}/smart-attributes
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/smart-attributes" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/smart-attributes", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/smart-attributes",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
search string
optional
≤ 256 characters
name string
optional
≤ 256 characters
description string
optional
≤ 256 characters
inputType string
optional
constantenummanualselectorscript
outputType string
optional
stringnumberbooleandate
source string
optional
ituserdeviceconstant
segmentId number
optional
expandTo string
optional
ancestorschildren

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Match pattern: ^[a-fA-F0-9]{24}$
segmentId number optional
exposeToChildren any optional
name string required
≤ 256 characters
description string optional
≤ 500 characters
output object required
input object required
createdAt string required
updatedAt string required
version number optional
counts object optional
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organizationId": "string",
                "segmentId": 0,
                "exposeToChildren": true,
                "name": "string",
                "description": "string",
                "output": {
                    "type": "string"
                },
                "input": {
                    "type": "constant",
                    "value": {
                        "admDevice": {
                            "value": "string"
                        },
                        "aosDevice": {
                            "value": "string"
                        },
                        "emmDevice": {
                            "value": "string"
                        },
                        "winDevice": {
                            "value": "string"
                        }
                    },
                    "source": "constant"
                },
                "createdAt": "string",
                "updatedAt": "string",
                "version": 0,
                "counts": {
                    "android": {
                        "smartAttributeAssignments": 0,
                        "smartAttributeAssignmentsEnforced": 0
                    },
                    "apple": {
                        "smartAttributeAssignments": 0,
                        "smartAttributeAssignmentsEnforced": 0
                    },
                    "windows": {
                        "smartAttributeAssignments": 0,
                        "smartAttributeAssignmentsEnforced": 0
                    }
                }
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}